#if !defined(AFX_DSSHOW_H__1EDFB014_3856_11D4_B5A2_005004BF2FFA__INCLUDED_)
#define AFX_DSSHOW_H__1EDFB014_3856_11D4_B5A2_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// DSShow.h : header file
//

#include "general.h"
#include "memdc.h"

/////////////////////////////////////////////////////////////////////////////
// CDSShow dialog

//....................................................

class CDSShow : public CDialog
{

	// Construction

public:
	int ymax;
	int xmax;
	void ReInit(int _nsrc);
	CDSShow(CWnd* pParent = NULL);   // standard constructor

	void DrawPacket(int x,int y,int state,CDC* dc);
	int DetermineState(int i,int j);

	CBrush BrushBright;
	CBrush BrushDark;
	CBrush BrushClash;
	CPen PenBright;
	CPen PenDark;
	CPen PenClash;
	CFont m_displayfont;
	CFont m_smallfont;

	CRect m_RectWindow;
	CRect m_ScrollWindow;
	CBufferMemDC m_BufferBackground;
	CBufferMemDC m_BufferBackground1;
	CMemDC* _memdc;

	CDC* _dc;
	CBitmap* m_pBitmap;

	//	bool sreg[MAX_NSRC][DISP_DSSHOW];

	long m_nsent;
	long m_nclash;

	// Dialog Data
	//{{AFX_DATA(CDSShow)
	enum { IDD = IDD_DSSHOW };
	CScrollBar	m_ctrl_vscroll;
	CScrollBar	m_ctrl_hscroll;
	int		m_hscroll;
	int		m_vscroll;
	//}}AFX_DATA

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDSShow)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CDSShow)
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

	//{{AFX_INSERT_LOCATION}}
	// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSSHOW_H__1EDFB014_3856_11D4_B5A2_005004BF2FFA__INCLUDED_)
