#if !defined(AFX_DISPLAY_H__F72090A3_4C67_11D3_B5BE_005004BF2FFA__INCLUDED_)
#define AFX_DISPLAY_H__F72090A3_4C67_11D3_B5BE_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// Display.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDisplay dialog

#include "memdc.h"
#include "general.h"

//....................................................

class CDisplay : public CDialog
{

	// Construction

public:
	CDisplay(CWnd* pParent = NULL);   //standard constructor

	CBrush BrushBright;
	CBrush BrushDark;
	CBrush BrushClash;
	CPen PenBright;
	CPen PenDark;
	CPen PenClash;
	CFont m_displayfont;
	CFont m_smallfont;

	CRect m_RectWindow;
	CRect m_ScrollWindow;
	CBufferMemDC m_BufferBackground;

	// Dialog Data
	//{{AFX_DATA(CDisplay)
	enum { IDD = IDD_DISPLAY };

	// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisplay)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CDisplay)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

	//{{AFX_INSERT_LOCATION}}
	// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DISPLAY_H__F72090A3_4C67_11D3_B5BE_005004BF2FFA__INCLUDED_)
