// DlgPoisson.cpp : implementation file
//

#include "stdafx.h"
#include "BWSim.h"
#include "DlgPoisson.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgPoisson dialog

//....................................................

CDlgPoisson::CDlgPoisson(CWnd* pParent /*=NULL*/)
: CDialog(CDlgPoisson::IDD, pParent)
{

	//{{AFX_DATA_INIT(CDlgPoisson)
	m_lambda = 0.0;
	m_slotted = FALSE;
	m_retrans = FALSE;
	m_packetlength = 0;
	m_reserve = FALSE;
	dlgReserve.m_rprob=0.02;
	dlgReserve.m_sdelay=4;
	dlgReserve.m_slength=10;

	//}}AFX_DATA_INIT

}

//....................................................

void CDlgPoisson::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CDlgPoisson)
	DDX_Control(pDX, IDC_LISTBW, m_listbw);
	DDX_Text(pDX, IDC_LAMBDA, m_lambda);
	DDX_Check(pDX, IDC_SLOTTED, m_slotted);
	DDX_Check(pDX, IDC_RETRANS, m_retrans);
	DDX_Text(pDX, IDC_PACKETLENGTH, m_packetlength);
	DDX_Check(pDX, IDC_RESERVE, m_reserve);
	//}}AFX_DATA_MAP

}

BEGIN_MESSAGE_MAP(CDlgPoisson, CDialog)
	//{{AFX_MSG_MAP(CDlgPoisson)
	ON_BN_CLICKED(IDC_RESERVE, OnReserve)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

	/////////////////////////////////////////////////////////////////////////////
	// CDlgPoisson message handlers

//....................................................

BOOL CDlgPoisson::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO: Add extra initialization here

	m_listbw.InsertString(0,"64 kbps");
	m_listbw.InsertString(1,"128 kbps");
	m_listbw.InsertString(2,"256 kbps");
	m_listbw.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control

	// EXCEPTION: OCX Property Pages should return FALSE

}

//....................................................

void CDlgPoisson::OnOK()
{
	// TODO: Add extra validation here

	UpdateData(true);
	m_bwchoice=m_listbw.GetCurSel();

	CDialog::OnOK();
}

void CDlgPoisson::OnReserve() 
{
	// TODO: Add your control notification handler code here
	UpdateData(true);
	if(m_reserve==true)
	{

		dlgReserve.DoModal();
	}
}
