// EventManager.h: interface for the CEventManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENTMANAGER_H__20293895_4656_11D4_B5C7_005004BF2FFA__INCLUDED_)
#define AFX_EVENTMANAGER_H__20293895_4656_11D4_B5C7_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CEventManager
{
public:
	CArray<CEvent*,CEvent*> m_eventlist;
	CArray<CEvent*,CEvent*> m_pastlist;
	int m_nevents;

	//__________DEfine colors
	COLORREF m_color_red;
	COLORREF m_color_blue;
	COLORREF m_color_green;
	COLORREF m_color_white;
	COLORREF m_color_paleyellow;
	COLORREF m_color_lightblue;
	COLORREF m_color_orange;
	COLORREF m_color_lightgrey;
	COLORREF m_color_lightred;



	CEvent* GetNextEvent();
	void AddEvent(CEvent* event);

public:
	void Cleanup();
	void Reset();
	int m_npastevents;
	CEventManager();
	virtual ~CEventManager();

};

#endif // !defined(AFX_EVENTMANAGER_H__20293895_4656_11D4_B5C7_005004BF2FFA__INCLUDED_)
