// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__DF3685E9_3694_11D4_B59C_005004BF2FFA__INCLUDED_)
#define AFX_MAINFRM_H__DF3685E9_3694_11D4_B59C_005004BF2FFA__INCLUDED_

#include "Event.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

//....................................................

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

	// Attributes

public:

	// Operations

public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

	// Implementation

public:
	void StartSim();
	void InitSim();

	//	CEvent m_currentevent;

	bool m_timer;

	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

	// Generated message map functions

protected:

	//{{AFX_MSG(CMainFrame)

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDsadd();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnPause();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDsshow();
	afx_msg void OnBwshow();
	afx_msg void OnStatsshow();
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	afx_msg void OnOptionsVset();
	afx_msg void OnAutomate();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

	/////////////////////////////////////////////////////////////////////////////

	//{{AFX_INSERT_LOCATION}}
	// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__DF3685E9_3694_11D4_B59C_005004BF2FFA__INCLUDED_)
