// NMS.h: interface for the CNMS class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NMS_H__71F69B59_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
#define AFX_NMS_H__71F69B59_32BE_11D4_B58F_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "general.h"
#include "datasource.h"

#ifndef PROTOCOL
#include "protocol.h"
#endif



class CNMS
{
private:

	//__________State Info________

	CDataSource* m_ds[MAX_NSRC];
	CProtocol* m_protocols[10];
	char IsAllocated[MAX_NSRC];

	int no_ds;
	int no_protocols;

public:

	///__________Stats Related

	int total_bandwidth;
	int m_bwallocated;
	int bw_used[MAX_BW];

private:

	//__________Protocols we have________


	//CSlottedAloha slottedaloha;

public:
	CProtocol* GetProtocol(CDataSource* ds);
	void ClearBW();
	void Send(double current_time,short pid=-1);
	bool AssignProtocols(double current_time);
	void Reset();
	void DeleteDataSource(int nms_id);
	int AddDataSource(CDataSource* ds);
	CNMS();
	virtual ~CNMS();

};

#endif // !defined(AFX_NMS_H__71F69B59_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
