// Poisson.h: interface for the CPoisson class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POISSON_H__71F69B5B_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
#define AFX_POISSON_H__71F69B5B_32BE_11D4_B58F_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DataSource.h"

//....................................................

class CPoisson : public CDataSource
{

private:
	double GetExpTime();

public:
	double lambda;
	bool m_slotted;

	double m_totaldelay;

public:
	virtual double GetTimeMult();


	virtual double GetRetransTime(short method);
	virtual CString GetString();

	virtual void ScheduleNextPacket(double time);

	virtual int PacketsWaiting(double current_time);
	virtual bool IsPacketBurst(double current_time);
	virtual void SendPacket();

	virtual bool IsPacketAvail(double current_time);
	void virtual Reset();
	virtual void SetLambda(double lamb);
	CPoisson();
	virtual ~CPoisson();

};

#endif // !defined(AFX_POISSON_H__71F69B5B_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
