// TDMA.h: interface for the CTDMA class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TDMA_H__71F69B57_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
#define AFX_TDMA_H__71F69B57_32BE_11D4_B58F_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef PROTOCOL
#include "protocol.h"
#endif

//....................................................

class CTDMA : public CProtocol
{

public:
	virtual int GetBWRequired();
	virtual void Finish(double current_time);

	//_

	virtual void Send(double current_time);
	virtual bool Init(double current_time);

	CTDMA();
	virtual ~CTDMA();

private:
	double m_starttime;
	int m_nslots;
	int m_slot_assignment[TDMA_MAXSLOTS];
	CMap<int,int&,double,double&> m_slottimings;
};

#endif // !defined(AFX_TDMA_H__71F69B57_32BE_11D4_B58F_005004BF2FFA__INCLUDED_)
