#if !defined(AFX_BWSHOW_H__5CAA6813_38F7_11D4_B5A4_005004BF2FFA__INCLUDED_)
#define AFX_BWSHOW_H__5CAA6813_38F7_11D4_B5A4_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// BWShow.h : header file
//

#include "memdc.h"
#include "general.h"

/////////////////////////////////////////////////////////////////////////////
// CBWShow dialog

//....................................................

class CBWShow : public CDialog
{

	// Construction

public:
	void ReInit();
	CBWShow(CWnd* pParent = NULL);   // standard constructor

	CBrush BrushBright;
	CBrush BrushDark;
	CBrush BrushClash;
	CPen PenBright;
	CPen PenDark;
	CPen PenClash;
	CFont m_displayfont;
	CFont m_smallfont;

	CRect m_RectWindow;
	CRect m_ScrollWindow;
	CBufferMemDC m_BufferBackground;

	//	short int m_outputstate[MAX_CHANNELS][DISP_BWSHOW];

	short int m_actualchannels;

	// Dialog Data
	//{{AFX_DATA(CBWShow)
	enum { IDD = IDD_BWSHOW };
	CScrollBar	m_ctrl_vscroll;
	CScrollBar	m_ctrl_hscroll;
	int		m_hscroll;
	int		m_vscroll;
	//}}AFX_DATA

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBWShow)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Implementation

protected:

	// Generated message map functions
	//{{AFX_MSG(CBWShow)
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

	//{{AFX_INSERT_LOCATION}}
	// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BWSHOW_H__5CAA6813_38F7_11D4_B5A4_005004BF2FFA__INCLUDED_)
