// FDMA.h: interface for the CFDMA class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FDMA_H__12FE2B25_3370_11D4_B593_005004BF2FFA__INCLUDED_)
#define AFX_FDMA_H__12FE2B25_3370_11D4_B593_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef PROTOCOL
#include "protocol.h"
#endif

#include "general.h"

#define MAX_FDMACHANNELS 64

//....................................................

class CFDMA : public CProtocol
{
private:
	int m_nchannels;
	short m_ds_channel[MAX_FDMACHANNELS];
	CMap<int,int&,int,int&> m_dsbw;

public:
	virtual int GetBWRequired();
	virtual void Finish(double current_time);
	virtual void Send(double current_time);
	virtual bool Init(double current_time);
	CFDMA();
	virtual ~CFDMA();

};

#endif // !defined(AFX_FDMA_H__12FE2B25_3370_11D4_B593_005004BF2FFA__INCLUDED_)
