// Zoom.cpp : implementation file
//

#include "stdafx.h"
#include "BWSim.h"
#include "Zoom.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZoom dialog

extern CBWSim bwsim;

//....................................................

CZoom::CZoom(CWnd* pParent /*=NULL*/)
: CDialog(CZoom::IDD, pParent)
{

	//{{AFX_DATA_INIT(CZoom)

	m_delay = 0;
	//}}AFX_DATA_INIT

}

//....................................................

void CZoom::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CZoom)

	DDX_Control(pDX, IDC_DSWIDTH, m_dswidthslider);
	DDX_Control(pDX, IDC_BWWIDTH, m_bwwidthslider);
	DDX_Control(pDX, IDC_DS, m_dsslider);
	DDX_Control(pDX, IDC_BW, m_bwslider);
	DDX_Text(pDX, IDC_ZOOMDELAY, m_delay);
	DDV_MinMaxUInt(pDX, m_delay, 0, 500);
	//}}AFX_DATA_MAP

}

BEGIN_MESSAGE_MAP(CZoom, CDialog)
	//{{AFX_MSG_MAP(CZoom)
	ON_WM_LBUTTONDOWN()
	ON_WM_HSCROLL()
	ON_EN_CHANGE(IDC_ZOOMDELAY, OnChangeZoomdelay)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

	/////////////////////////////////////////////////////////////////////////////
	// CZoom message handlers

//....................................................

BOOL CZoom::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO: Add extra initialization here

	m_bwslider.SetRange(1,100);
	m_bwslider.SetTicFreq(5);
	m_bwslider.SetPos(bwsim.m_bwusec);

	m_dsslider.SetRange(1,100);
	m_dsslider.SetTicFreq(5);
	m_dsslider.SetPos(bwsim.m_dsusec);

	m_dswidthslider.SetRange(100,500);
	m_dswidthslider.SetTicFreq(20);
	m_dswidthslider.SetPos(bwsim.m_dswidth);

	m_bwwidthslider.SetRange(100,500);
	m_bwwidthslider.SetTicFreq(20);
	m_bwwidthslider.SetPos(bwsim.m_bwwidth);

	return TRUE;  // return TRUE unless you set the focus to a control

	// EXCEPTION: OCX Property Pages should return FALSE

}

//....................................................

void CZoom::OnZoomupdate()
{

	// TODO: Add your control notification handler code here

}

//....................................................

void CZoom::OnLButtonDown(UINT nFlags, CPoint point)
{

	// TODO: Add your message handler code here and/or call default

	CDialog::OnLButtonDown(nFlags, point);
}

//....................................................

void CZoom::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{

	// TODO: Add your message handler code here and/or call default

	bwsim.m_dsusec=m_dsslider.GetPos();
	bwsim.m_bwusec=m_bwslider.GetPos();

	bwsim.m_dswidth=m_dswidthslider.GetPos();
	bwsim.m_bwwidth=m_bwwidthslider.GetPos();

	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

//....................................................

void CZoom::OnChangeZoomdelay()
{

	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function to send the EM_SETEVENTMASK message to the control
	// with the ENM_CHANGE flag ORed into the lParam mask.

	// TODO: Add your control notification handler code here

	UpdateData(true);
	bwsim.m_delay=m_delay;

}
