// FHOP.h: interface for the CFHOP class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FHOP_H__A602BF33_33B2_11D4_B594_005004BF2FFA__INCLUDED_)
#define AFX_FHOP_H__A602BF33_33B2_11D4_B594_005004BF2FFA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef PROTOCOL
#include "protocol.h"
#endif

//....................................................

class CFHOP : public CProtocol
{
public:
	virtual int GetBWRequired();

	virtual void Finish(double current_time);
	virtual void Send(double current_time);
	virtual bool Init(double current_time);
	CFHOP();
	virtual ~CFHOP();

	//_____Data members

	CMap<int,int,bool,bool> m_occupied;
	CMap<int,int,bool,bool> m_clashed;
	CMap<int,int,int,int> m_dsbw;
	CMap<int,int,double,double> m_endtime;
	CMap<int,int,int,int> m_randfreq;
	CMap<int,int,int,int> m_pastfreqid;

	short m_srcperchannel;
	int m_maxrand;

};

#endif // !defined(AFX_FHOP_H__A602BF33_33B2_11D4_B594_005004BF2FFA__INCLUDED_)
