#include "datasource.h"
#include "general.h"

#define PROTOCOL 1



class CProtocol
{
public:
	int bw_avail;

	//___________For statistics

	int bwind_start;
	int* bw_used;

	//__________Datasources___________

	CDataSource** ds_array;
	char IsAllocated[MAX_NSRC];
	int no_ds;

public:
	double alpha;
	bool m_autobw;
	virtual int GetBWRequired();
	void Reset();
	virtual void SetBWAvail(int bw);
	virtual bool AddSource(int nms_id);
	virtual void BWRange(int start,int* b_ind);

	virtual void Send(double current_time)=0;
	virtual bool Init(double current_time)=0;
	virtual void Finish(double current_time)=0;

	CProtocol();
	virtual ~CProtocol();

};


